image: obarun/base:latest

before_script:
  - pacman -Syu --noconfirm
  - pacman -S autoconf automake binutils bison file flex gcc gettext git grep groff libtool m4 make patch pkgconf texinfo which --noconfirm
  - ./build_toolchain.sh commit

test:
  stage: test
  script:
  - ./configure --bindir=/usr/bin --shebangdir=/usr/bin
  - make
  - make install DESTDIR=gitlab-ci

  only:
  - merge_requests


build:
  stage: build
  script:
  - ./configure --bindir=/usr/bin --shebangdir=/usr/bin
  - make
  - make
  - make install DESTDIR=gitlab-ci

  retry:
    max: 2

  only:
    refs:
      - master

